---
layout: markdown_page
title: "Product Stage Vision - Create"
---

## On this page
{:.no_toc}

- TOC
{:toc}

Content last reviewed 2022-06-26

<%= devops_diagram(["Create"]) %>

## Stage Overview

<%= partial("direction/create/templates/overview") %>

### Groups

The Create stage is made up of one DevOps stage, Create, and four groups including:

* Source Code
* Code Review
* Editor

### Resourcing and Investment

The existing team members for the Create stage can be found in the links below:

* Source Code
   * [BE](/handbook/engineering/development/dev/create/https://about.gitlab.com/handbook/engineering/development/dev/create/source-code-be/)
   * [FE](/handbook/engineering/development/dev/create/create-source-code-fe)
* Code Review
   * [BE](/handbook/engineering/development/dev/create/code-review/backend/)
   * [FE](/handbook/engineering/development/dev/create/code-review/frontend/)
* [Editor](/handbook/engineering/development/dev/create/editor/)

## 3 Year Stage Themes
<%= partial("direction/create/templates/themes") %>

## 3 Year Strategy

<%= partial("direction/create/templates/strategy") %>

## 1 Year Plan

<%= partial("direction/create/templates/plan") %>

## Target Audience

GitLab identifies who our DevSecOps application is built for utilizing the following categorization. We list our view of who we will support when in priority order.
* 🟩 - Targeted with strong support
* 🟨 - Targeted but incomplete support
* ⬜️ - Not targeted but might find value

### Today

1. 🟩 [Software Developers](/handbook/marketing/strategic-marketing/roles-personas/#sasha-software-developer)
1. 🟩 [Development Team Leads](/handbook/marketing/strategic-marketing/roles-personas/#delaney-development-team-lead)
1. 🟩 [Software Engineer in Test](/handbook/marketing/strategic-marketing/roles-personas/#simone-software-engineer-in-test)
1. 🟩 [DevOps Engineers](/handbook/marketing/strategic-marketing/roles-personas/#devon-devops-engineer)
1. 🟨 [Application Development Director](/handbook/marketing/strategic-marketing/roles-personas/#dakota-application-development-director)
1. 🟨 [System Admingstrator](/handbook/product/personas/#sidney-systems-administrator)
1. 🟨 [Security Operations Engineers](/handbook/marketing/strategic-marketing/roles-personas/#alex-security-operations-engineer)
1. ⬜️ [Application Ops](/handbook/marketing/strategic-marketing/roles-personas/#allison-application-ops)
1. ⬜️ [Platform Engineer](/handbook/marketing/strategic-marketing/roles-personas/#priyanka-platform-engineer)
1. ⬜️ [Compliance Managers](/handbook/marketing/strategic-marketing/roles-personas/#cameron-compliance-manager)

### Medium Term (1-2 years)

1. 🟩 [Software Developers](/handbook/marketing/strategic-marketing/roles-personas/#sasha-software-developer)
1. 🟩 [Development Team Leads](/handbook/marketing/strategic-marketing/roles-personas/#delaney-development-team-lead)
1. 🟩 [Software Engineer in Test](/handbook/marketing/strategic-marketing/roles-personas/#simone-software-engineer-in-test)
1. 🟩 [DevOps Engineers](/handbook/marketing/strategic-marketing/roles-personas/#devon-devops-engineer)
1. 🟩 [Application Development Director](/handbook/marketing/strategic-marketing/roles-personas/#dakota-application-development-director)
1. 🟩 [System Admingstrator](/handbook/product/personas/#sidney-systems-administrator)
1. 🟨 [Security Operations Engineers](/handbook/marketing/strategic-marketing/roles-personas/#alex-security-operations-engineer)
1. 🟨 [Application Ops](/handbook/marketing/strategic-marketing/roles-personas/#allison-application-ops)
1. 🟨 [Platform Engineer](/handbook/marketing/strategic-marketing/roles-personas/#priyanka-platform-engineer)
1. 🟨 [Compliance Managers](/handbook/marketing/strategic-marketing/roles-personas/#cameron-compliance-manager)

## Categories in Create

<%= partial("direction/categories-content", :locals => { :stageKey => "create" }) %>

## Usability Benchmark

We conduct [usability benchmarking studies](/handbook/engineering/ux/ux-research-training/usability-benchmarking/) to measure the usability of the product in relation to our [Jobs to be Done](#jobs-to-be-done). Because of how time intensive these studies are, we only used them if the product has significantly changed. See our [latest usability benchmark for the Create stage](https://gitlab.com/groups/gitlab-org/-/epics/7205), from FY23-Q1.

## Jobs to be Done

<%= partial("direction/jtbd-list", locals: { stage_key: "Create" }) %>

## User Journey

The most common path our customers follow to adopt GitLab's product stages is the [Golden Journey](/handbook/product/product-principles/#multi-feature-usage-adoption-journey), with Create as the start of 99% of our customers. A [User Journey Map](https://www.nngroup.com/articles/journey-mapping-101/) (UJM) allows us to visualize that path in detail, with user goals, actions, sentiment, and thoughts. Mapping these aspects unlocks many benefits, with the most important being the ability to identify opportunities to improve moments across the experience, that drive up the usability and value for our users. Also see our [Journeys page](/handbook/journeys).

In FY22-Q4, members of the Create stage co-created a hypothesis-based UJM — [see results](https://gitlab.com/groups/gitlab-org/-/epics/6964#-results). For this first iteration, we did a _hypothesis-based map_, based on the accumulation of existing understanding within the stage groups. This approach was a great way to merge multiple existing team views, create a research plan (based on the gaps that emerged from our hypothesis map), and make a first step towards a higher-fidelity, _research-based_ map.

In FY23-Q1, UXR completed the second iteration, an in-depth [bench-marking analysis](https://gitlab.com/groups/gitlab-org/-/epics/7205) of the main JTBD/experiences that the [Sasha persona](https://about.gitlab.com/handbook/product/personas/#sasha-software-developer) cares about. [Results can be found here](https://www.figma.com/proto/mF555KKsf1m1UyyXbWxXu2/Benchmarking-Slides?node-id=943%3A12915&scaling=scale-down&page-id=40%3A124&starting-point-node-id=943%3A12915) (internal team members only). This research will be used to inform priorities over the next 12 months.

## Pricing

<%= partial("direction/create/templates/pricing") %>

## Upcoming Releases

<%= direction["all"]["all"] %>

<%= partial("direction/other", :locals => { :stage => "create" }) %>

<p align="center">
    <i><br>
    Last Reviewed: 2021-03-08<br>
    Last Updated: 2021-03-08
    </i>
</p>
